> For the complete documentation index, see [llms.txt](https://api-old.innov8tif.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-old.innov8tif.com/okaydoc/error-list.md).

# Error List

### General

```
API key expired
{
    "status": "error",
    "message": "API_KEY_EXPIRED",
    "result": null
}
```

```
Maximum API call hit
{
    "status": "error",
    "message": "MAX_API_CALL_EXCEEDED",
    "result": null
}
```

### ID Card

{% code title="Missing/Wrong apiKey" %}

```
{
    "status": "error",
    "messageCode": null,
    "message": "INVALID_API_KEY",
    "id": null,
    "methodList": null,
    "outputImageList": null
}
```

{% endcode %}

{% code title="Missing  idImageBase64Image/Invalid image" %}

```
{
    "status": "error",
    "messageCode": "api.error",
    "message": "Empty verification result. Suspected error during verification document.",
    "id": null,
    "methodList": null,
    "outputImageList": null
}
```

{% endcode %}

### Passport

{% code title="Missing/Wrong apiKey" %}

```
{
    "status": "error",
    "message": "INVALID_API_KEY"
}
```

{% endcode %}

{% code title="Missing fullSizeImage/halfSizeImage/country field" %}

```
{
    "status": "error",
    "message": "Error in verifying passport."
}
```

{% endcode %}

{% code title="Missing country" %}

```
{
    "status": "error",
    "message": "UNSUPPORTED_COUNTRY"
}
```

{% endcode %}

{% code title="Missing  halfSizeImage" %}

```
{
    "status": "error",
    "message": "Empty verification result. Suspected error during verification document."
}
```

{% endcode %}

{% code title="Missing  fullSizeImage " %}

```
{
    "status": "error",
    "message": "Empty verification result. Suspected error during verification document."
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/okaydoc/error-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
